pidgin: _PurpleRoomlistUiOps Struct Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Data Fields
_PurpleRoomlistUiOps Struct Reference

The room list ops to be filled out by the UI. More...

`#include <roomlist.h>`

## Data Fields
void(* | show_with_account )(PurpleAccount *account)
| Force the ui to pop up a dialog and get the list.
void(* | create )(PurpleRoomlist *list)
| A new list was created.
void(* | set_fields )(PurpleRoomlist *list, GList *fields)
| Sets the columns.
void(* | add_room )(PurpleRoomlist *list, PurpleRoomlistRoom *room)
| Add a room to the list.
void(* | in_progress )(PurpleRoomlist *list, gboolean flag)
| Are we fetching stuff still?
void(* | destroy )(PurpleRoomlist *list)
| We're destroying list.
void(* | _purple_reserved1 )(void)
void(* | _purple_reserved2 )(void)
void(* | _purple_reserved3 )(void)
void(* | _purple_reserved4 )(void)

## Detailed Description

The room list ops to be filled out by the UI.

Definition at line 103 of file roomlist.h.

## Field Documentation

## ◆ _purple_reserved1

void(* _PurpleRoomlistUiOps::_purple_reserved1) (void)

Definition at line 111 of file roomlist.h.

## ◆ _purple_reserved2

void(* _PurpleRoomlistUiOps::_purple_reserved2) (void)

Definition at line 112 of file roomlist.h.

## ◆ _purple_reserved3

void(* _PurpleRoomlistUiOps::_purple_reserved3) (void)

Definition at line 113 of file roomlist.h.

## ◆ _purple_reserved4

void(* _PurpleRoomlistUiOps::_purple_reserved4) (void)

Definition at line 114 of file roomlist.h.

## ◆ add_room

void(* _PurpleRoomlistUiOps::add_room) (PurpleRoomlist *list, PurpleRoomlistRoom *room)

Add a room to the list.

Definition at line 107 of file roomlist.h.

## ◆ create

void(* _PurpleRoomlistUiOps::create) (PurpleRoomlist *list)

A new list was created.

Definition at line 105 of file roomlist.h.

## ◆ destroy

void(* _PurpleRoomlistUiOps::destroy) (PurpleRoomlist *list)

We're destroying list.

Definition at line 109 of file roomlist.h.

## ◆ in_progress

void(* _PurpleRoomlistUiOps::in_progress) (PurpleRoomlist *list, gboolean flag)

Are we fetching stuff still?

Definition at line 108 of file roomlist.h.

## ◆ set_fields

void(* _PurpleRoomlistUiOps::set_fields) (PurpleRoomlist *list, GList *fields)

Sets the columns.

Definition at line 106 of file roomlist.h.

## ◆ show_with_account

void(* _PurpleRoomlistUiOps::show_with_account) (PurpleAccount *account)

Force the ui to pop up a dialog and get the list.

Definition at line 104 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h